# TODO: system libao in a52dec executable?
Summary:	A library for handling encrypted DVDs
Summary(pl.UTF-8):	Biblioteka do obsługi zakodowanych DVD
Name:		a52dec
Version:	0.8.0
Release:	1
License:	GPL
Group:		X11/Applications/Multimedia
#Source0Download: https://git.adelielinux.org/community/a52dec/-/tags
Source0:	https://git.adelielinux.org/community/a52dec/-/archive/v%{version}/%{name}-v%{version}.tar.bz2
# Source0-md5:	f3945d6a688471a9220fdaff57ee2e05
Patch0:		%{name}-opt.patch
Patch1:		%{name}-pic.patch
URL:		https://liba52.sourceforge.net/
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake
BuildRequires:	libtool
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
liba52 is a free library for decoding ATSC A/52 streams. It is
released under the terms of the GPL license. The A/52 standard is used
in a variety of applications, including digital television and DVD. It
is also known as AC-3.

This package contains a52dec utilities.

%description -l pl.UTF-8
liba52 jest wolnodostępną (na licencji GPL) biblioteką do dekodowania
strumieni ATSC A/52. Standard A/52 jest używany w wielu
zastosowaniach, w tym cyfrowej telewizji i DVD. Jest znany także jako
AC-3.

Ten pakiet zawiera narzędzia a52dec.

%package libs
Summary:	a52dec library for handling encrypted DVDs
Summary(pl.UTF-8):	Biblioteka a52dec - do obsługi zakodowanych DVD
Group:		Libraries

%description libs
liba52 is a free library for decoding ATSC A/52 streams. It is
released under the terms of the GPL license. The A/52 standard is used
in a variety of applications, including digital television and DVD. It
is also known as AC-3.

%description libs -l pl.UTF-8
liba52 jest wolnodostępną (na licencji GPL) biblioteką do dekodowania
strumieni ATSC A/52. Standard A/52 jest używany w wielu
zastosowaniach, w tym cyfrowej telewizji i DVD. Jest znany także jako
AC-3.

%package libs-devel
Summary:	Header files for a52dec library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki a52dec
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description libs-devel
Header files for development using a52dec library.

%description libs-devel -l pl.UTF-8
Pliki nagłówkowe do programowania z użyciem biblioteki a52dec.

%package libs-static
Summary:	Static a52dec library
Summary(pl.UTF-8):	Statyczna biblioteka a52dec
Group:		Development/Libraries
Requires:	%{name}-libs-devel = %{version}-%{release}

%description libs-static
Static a52dec library.

%description libs-static -l pl.UTF-8
Statyczna biblioteka a52dec.

%prep
%setup -q -n %{name}-v%{version}
%patch -P0 -p1
%patch -P1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-shared
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/liba52.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/a52dec
%attr(755,root,root) %{_bindir}/extract_a52
%{_mandir}/man1/a52dec.1*
%{_mandir}/man1/extract_a52.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liba52.so.*.*.*
%ghost %{_libdir}/liba52.so.0

%files libs-devel
%defattr(644,root,root,755)
%{_libdir}/liba52.so
%{_includedir}/a52dec
%{_pkgconfigdir}/liba52.pc

%files libs-static
%defattr(644,root,root,755)
%{_libdir}/liba52.a
%changelog
* Mon Mar 17 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/a52dec.git;a=log;h=master

* Mon Mar 17 2025 Jakub Bogusz <qboosh@pld-linux.org> 242c5f2
- switched to mainteined fork, updated to 0.8.0

* Mon Mar 17 2025 Jakub Bogusz <qboosh@pld-linux.org> 1fd3eae
- use patch -P

* Fri Feb 27 2015 Elan Ruusamäe <glen@delfi.ee> 7d9c71e
- x32 rebuild
- release 5 (by relup.sh)

* Mon Jan 30 2012 Elan Ruusamäe <glen@pld-linux.org> 152e515
- -libs Group: Libraries

* Tue Feb 01 2011 Elan Ruusamäe <glen@pld-linux.org> be1c226
- createrepo does not like non-utf8 summary/description - rebuild for th
- verbose files, ghost soname symlink

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> c4dc132
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 89b3886
- converted to UTF-8

* Thu Jan 04 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 56936f7
- rel .2

* Tue Aug 08 2006 sparky <sparky@pld-linux.org> 5e37f62
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

* Fri Feb 10 2006 Robert Kurowski <koorek@pld-linux.org> ccdabb5
- reverted to 1.34

* Thu Feb 09 2006 Robert Kurowski <koorek@pld-linux.org> 8e28267
- installed symbolic link needed by avidemux

* Mon Jan 30 2006 Karol Krenski <charles@pld-linux.org> 79a3fbf
- post{un} ldconfig moved to -libs

* Sun Jan 29 2006 Karol Krenski <charles@pld-linux.org> 10790ec
- updated for 0.7.5-cvs

* Sun Jan 29 2006 Karol Krenski <charles@pld-linux.org> 8f10272
- updated to latest snapshot (aka 0.7.5-cvs)

* Sat Sep 25 2004 radek <radek@pld-linux.org> dceab8c
- cosmetics (spaces -> tabs)

* Tue Dec 30 2003 undefine <undefine@pld-linux.org> 368420f
- don't disable pic, doesn't work on AMD64

* Tue Dec 30 2003 undefine <undefine@pld-linux.org> b7d6bdd
- sometimes pic is needed already...

* Thu Nov 06 2003 Artur Frysiak <artur@frysiak.net> 8a0d14b
- release 3

* Wed Aug 06 2003 kloczek <kloczek@pld-linux.org> afb3e41
- może wrescie ktoś wykasuje to konto ?

* Mon Jul 07 2003 Paweł Gołaszewski <blues@pld-linux.org> 7ac83b0
- many small fixes, mostly inpired by kloczek

